hoauth2-2.14.3: Haskell OAuth2 authentication client

Safe Haskell | None
Language | Haskell2010

Network.OAuth2.Experiment.Grants.JwtBearer

Synopsis

- data JwtBearerApplication = JwtBearerApplication {
  - jbName :: Text
  - jbJwtAssertion :: ByteString
  }

# Documentation

data JwtBearerApplication Source #

An Application that supports "JWT Bearer" flow

https://datatracker.ietf.org/doc/html/rfc7523

Constructors

JwtBearerApplication |

Fields

- jbName :: Text
- jbJwtAssertion :: ByteString

#### Instances

Instances details

HasTokenRequest JwtBearerApplication Source # |

Instance details

Defined in Network.OAuth2.Experiment.Grants.JwtBearer

Associated Types

data TokenRequest JwtBearerApplication |

Instance details

Defined in Network.OAuth2.Experiment.Grants.JwtBearer

data TokenRequest JwtBearerApplication = JwtBearerTokenRequest {

- trGrantType :: GrantTypeValue
- trAssertion :: ByteString

}

type ExchangeTokenInfo JwtBearerApplication |
Instance details Defined in Network.OAuth2.Experiment.Grants.JwtBearer type ExchangeTokenInfo JwtBearerApplication = NoNeedExchangeToken

Methods

mkTokenRequestParam :: JwtBearerApplication -> ExchangeTokenInfo JwtBearerApplication -> TokenRequest JwtBearerApplication Source #

HasTokenRequestClientAuthenticationMethod JwtBearerApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.JwtBearer Methods getClientAuthenticationMethod :: JwtBearerApplication -> ClientAuthenticationMethod Source #
HasOAuth2Key JwtBearerApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.JwtBearer Methods mkOAuth2Key :: JwtBearerApplication -> OAuth2 Source #
HasUserInfoRequest JwtBearerApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.JwtBearer
ToQueryParam (TokenRequest JwtBearerApplication) Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.JwtBearer Methods toQueryParam :: TokenRequest JwtBearerApplication -> Map Text Text Source #
type ExchangeTokenInfo JwtBearerApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.JwtBearer type ExchangeTokenInfo JwtBearerApplication = NoNeedExchangeToken
data TokenRequest JwtBearerApplication Source # |

Instance details

Defined in Network.OAuth2.Experiment.Grants.JwtBearer

data TokenRequest JwtBearerApplication = JwtBearerTokenRequest {

- trGrantType :: GrantTypeValue
- trAssertion :: ByteString

}